For the complete documentation index, see llms.txt. This page is also available as Markdown.

Unpublish document

Unpublish a document.

post
Path parameters
productIdstringRequired
idstringRequired
Responses
200

OK

application/json
idstringOptional
namestringOptional
revisioninteger · int32Optional
typestringOptional
descriptionstringOptional
statusstringOptional
filenamestring · nullableOptional
sizeinteger · int32 · nullableOptional
contentTypestringOptional
urlstringRead-onlyOptional
languagestringOptional
post/public/v1/catalog/products/{productId}/documents/{id}/unpublish
POST /public/v1/catalog/products/{productId}/documents/{id}/unpublish HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "revision": 1,
  "type": "text",
  "description": "text",
  "status": "text",
  "filename": "text",
  "size": 1,
  "contentType": "text",
  "url": "text",
  "language": "text",
  "product": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "externalIds": {
      "operations": "text",
      "defaultErpItem": "text"
    },
    "status": "text"
  }
}

Last updated

Was this helpful?